HTTP API

Message Queue DLQ

GET/api/v1/mq/queues/{queue_name}/dlq
GET
/api/v1/mq/queues/{queue_name}/dlq

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

queue_name*string

Response Body

application/json

curl -X GET "https://example.com/api/v1/mq/queues/string/dlq"
{  "approximate_message_count": 0,  "dlq_name": "string",  "oldest_message_age_seconds": 0,  "sample_messages": [    {      "body": null,      "first_received_at": "2019-08-24T14:15:22Z",      "message_id": "string",      "moved_to_dlq_at": "2019-08-24T14:15:22Z",      "original_queue": "string",      "reason": "max_receive_count_exceeded",      "receive_count": 0    }  ],  "source_queue": "string"}
POST/api/v1/mq/queues/{queue_name}/dlq/redrive
POST
/api/v1/mq/queues/{queue_name}/dlq/redrive

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

queue_name*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request to redrive messages from DLQ back to source queue

Response Body

application/json

curl -X POST "https://example.com/api/v1/mq/queues/string/dlq/redrive" \  -H "Content-Type: application/json" \  -d '{}'
{  "destination_queue": "string",  "messages_redriven": 0}

On this page